#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
	
	int N,di[],pi[],Q,kj[],i,pom,j,zp=0,njam[];
	
	printf("Unesi N\n");
	scanf("%d",&N);
	
	printf("Unesi Q\n");
	scanf("%d",&Q);
	
	printf("\n\nUnos kog dana je kupljena plazma i kolicina\n\n");
	
    for(i=0;i<N;i++)
	{
        scanf("%d %d",&di[i],&pi[di[i]]);
        brc=brc+
    }
	
	for (i=0;i<N-1;i++)
	{
        for (j=0;j<N-i-1;j++)
		{
            if(di[j]>di[j+1])
			{
                pom=di[j];
                di[j]=di[j+1];
                di[j+1]=pom;

                pom=pi[di[j]];
                pi[di[j]]=pi[di[j+1]];
                pi[di[j+1]]=pom;
            }
        }
    }
    
    printf("\n\nUnos kog dana je kupljena plazma i kolicina(SORTIRAN)\n\n");
    
	for(i=0;i<N;i++)
        printf("\n%d	%d\n",di[i],pi[di[i]]);
        
    printf("Unesi kog dana ce cerka prestati da jede plazmu\n");
    for(i=0;i<Q;i++)
    {
    	scanf("%d\n",&kj[i]);
	}
    
	for(i=0;i<Q;i++)
	{
		njam=0;
		for (i=0;i<kj[j];i++)
		{
 	   		zp=zp+pi[i];
    		if(zp!=0)
    		{
    			zp--;
    			njam++;
			}
		}
    	printf("%d",njam);
	}